textures/rtjump1/skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage env/deepsea/deepsea_up.tga
	q3map_sun 1 1 1 100 -58 58
	q3map_surfacelight 150
	q3map_lightsubdivide 512
	skyparms env/deepsea/deepsea - -
	qer_editorimage env/deepsea/deepsea_ft.tga
	qer_nocarve
}

levelshots/rtjump1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/rtjump1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/rtjump1_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/rtjump1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

models/mapobjects/cosmoflash/torch1
{

    {
        map models/mapobjects/cosmoflash/torch1.tga
		rgbGen identity
	}
	
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
	}
}

textures/skies/starfire
{
	q3map_lightimage textures/rtjump1/starfire1.tga
	q3map_lightsubdivide 512 
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 150

	qer_editorimage textures/rtjump1/starfire2.tga

	skyparms - 512 -

	{
		map textures/rtjump1/starfire2.tga
		tcMod scale 3 2
		tcMod scroll 0.02 0.03
	}
	{
		map textures/rtjump1/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}


}

textures/broken/protolava_new
{
	qer_editorimage textures/broken/protolava.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 200
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/broken/protolava2.tga
                tcmod scale .3 .3
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/broken/protolava.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

//Proto_hellfog
textures/broken/proto_hellfog
{
	qer_editorimage textures/common/areaportal.tga
	qer_trans 0.30
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .275 .012 0 ) 500
}

textures/broken/cweb_m01drk
{
    qer_editorimage textures/broken/cweb_m02a.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m01drk.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/broken/cweb_m01a
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/broken/cweb_m02a.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m01a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/broken/cweb_m02a
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/broken/cweb_m02a.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m02a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/broken/cweb_m02b
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/broken/cweb_m02b.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m02b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/broken/cweb_m03a
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/broken/cweb_m03a.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m03a.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/broken/cweb_m03b
{
    //removelightmap info
    //surfaceparm nolightmap
    qer_editorimage textures/broken/cweb_m03b.tga
	qer_trans 0.7
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/broken/cweb_m03b.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
    }
}

textures/rtjump1/striplight1
{              
	qer_editorimage textures/rtjump1/striplight.jpg
	q3map_lightimage textures/rtjump1/striplight.jpg
	q3map_surfacelight 400
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}


        {
		map textures/rtjump1/striplight_alpha.tga
                blendFunc GL_dst_color GL_SRC_ALPHA
		alphagen lightingspecular
		rgbGen identity
	}

}

textures/rtjump1/pearl
{              
	qer_editorimage textures/rtjump1/pearl.jpg
	q3map_lightimage textures/rtjump1/pearl.jpg
	cull none
	q3map_surfacelight 200
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
}


textures/rtjump1/construction 
{ 
qer_editorimage textures/sfx/construction.tga
	cull none
	noPicmip 
	surfaceparm trans
	surfaceparm glass
	surfaceparm splash
	surfaceparm nodamage
	tesssize 384
     { 
          map textures/rtjump1/construction.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.033838 0.615793 1.000000 )
          tcGen environment 
		tcmod scale 2 2 2		
     } 
}

models/teleport/l_1t
{              
	q3map_lightimage models/teleport/l_1t.tga
	implicitMap models/teleport/l_1t.tga
	q3map_surfacelight 400
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/effects/tinfx.jpg
		rgbGen vertex
		tcGen environment
	}
}

textures/rtjump1/whirlpool
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nomipmaps
	nopicmip
	cull disable
deformVertexes wave 200 sin 0 0.5 0 1.5
	{
		clampmap textures/rtjump1/water.tga
		blendfunc GL_SRC_ALPHA add 
		tcMod rotate 100
	}
}

textures/rtjump1/whirlpool2
{
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	nomipmaps
	nopicmip
	cull disable
deformVertexes wave 200 sin 0 0.5 0 1.5
	{
		clampmap textures/rtjump1/water2.tga
		blendfunc GL_SRC_ALPHA add 
		tcMod rotate -100
	}
}

textures/rtjump1/angle_right_handed
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/rtjump1/normal
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/rtjump1/numbers
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
{
		map textures/rtjump1/numbers.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}